Bug 19341 - Problems with defaultroute in network-functions and isdn autodial
Summary: Problems with defaultroute in network-functions and isdn autodial
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: isdn-config   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-10-18 21:01 UTC by Need Real Name
Modified: 2007-04-18 16:29 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-19 13:11:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2000-10-18 21:01:28 UTC
I hat Problems with dod with isdn after loosing the connection.
Reason was the delete default gateway.
In the script network-funktions in function add_default_route
 is the line

/sbin/route add default gw ${GATEWAY} ${GATEWAYDEV}

in My opion this is wrong and cause the problem.
My solution is to replace the line with this:

/sbin/route add -net ${GATEWAY} dev ${GATEWAYDEV}

May be this is not the best solution but it work.

By christian

Comment 1 Ngo Than 2000-11-02 13:28:22 UTC
It's fixed in isdn-config-0.18-3. You will find it in rawhide soon.


Note You need to log in before you can comment on or make changes to this bug.